package edu.nju.dao;

import edu.nju.entities.CaseToBug;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author JiaWei Xu
 * @Date 2020-12-25 11:01
 * @Email xjwhhh233@outlook.com
 */
@Repository
public class CaseToBugDao {
    @Autowired
    private MongoOperations mongoOperations;


    public CaseToBug findById(String testCaseId) {
        Query query = new Query();
        query.addCriteria(Criteria.where("_id").is(testCaseId));
        List<CaseToBug> caseToBugList = mongoOperations.find(query,CaseToBug.class);
        if(caseToBugList.size()==0){
            return null;
        }else{
            return caseToBugList.get(0);
        }
    }
}
