package edu.nju.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.json.JSONArray;

import java.util.List;
import java.util.Map;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AnalyseVO2 {

    private int likeNum;

    private int dislikeNum;

    private int forkNum;

    private int reportNum;

    private int testcaseNum;

    private int bugNum;

    private long startTime;

    private long endTime;

    private int workerNum;

    private String taskName;

    private JSONArray workerDistribute;

    private List<WorkerVO> workerRank;

    private Map<Integer,Integer> gradeDistrubute;

    private double pageCover;

    private String managerCheck ;

    public AnalyseVO2(int likeNum, int dislikeNum, int forkNum, int reportNum, int testcaseNum, int bugNum, long startTime, long endTime, int workerNum, String taskName, JSONArray workerDistribute, List<WorkerVO> workerRank, Map<Integer, Integer> gradeDistrubute,double pageCover) {

        this.likeNum = likeNum;
        this.dislikeNum = dislikeNum;
        this.forkNum = forkNum;
        this.reportNum = reportNum;
        this.testcaseNum = testcaseNum;
        this.bugNum = bugNum;
        this.startTime = startTime;
        this.endTime = endTime;
        this.workerNum = workerNum;
        this.taskName = taskName;
        this.workerDistribute = workerDistribute;
        this.workerRank = workerRank;
        this.gradeDistrubute = gradeDistrubute;
        this.pageCover = pageCover;
    }



}
