package edu.nju.service;

import edu.nju.entities.BugDetail;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author JiaWei Xu
 * @Date 2021-01-04 15:24
 * @Email xjwhhh233@outlook.com
 */
public interface FileService {
    public void uploadImage();
    public List<BugDetail> importBugInfo(MultipartFile sourceZipFile, MultipartFile sourceJsonFile, String originalCaseId, String cpSerialNum);
    public List<BugDetail> exportBugInfo(String caseId);
}
